﻿using Confluent.Kafka.Admin;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TelpoKafkaConsole.Model
{
    public class ScramCredentialsUser
    {
        public string Name { get; set; } = default!;

        public string Password { get; set; } = string.Empty;

        public ScramMechanism Mechanism { get; set; } = ScramMechanism.ScramSha256;

        public int Iterations { get; set; } = 8192;
    }
}
